-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Szerver verzió:               8.0.20 - MySQL Community Server - GPL
-- Szerver OS:                   Win64
-- HeidiSQL Verzió:              11.0.0.5919
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

use aitrainer;

-- Struktúra mentése tábla aitrainer. customer
CREATE TABLE IF NOT EXISTS `customer` (
  `customer_id` int NOT NULL AUTO_INCREMENT,
  `name` char(100) NOT NULL,
  `firstname` char(100) NOT NULL,
  `email` char(100) DEFAULT NULL,
  `sex` enum('m','w') DEFAULT 'm',
  `age` tinyint DEFAULT NULL,
  PRIMARY KEY (`customer_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.customer: ~15 rows (hozzávetőleg)
/*!40000 ALTER TABLE `customer` DISABLE KEYS */;
INSERT INTO `customer` (`customer_id`, `name`, `firstname`, `email`, `sex`, `age`) VALUES
	(1, 'Átlag 13 éves fiú', '', NULL, 'm', 13),
	(2, 'Átlag 14 éves fiú', '', NULL, 'm', 14),
	(3, 'Átlag 15 éves fiú', '', NULL, 'm', 15),
	(4, 'Átlag 15 éves fiú', '', NULL, 'm', 15),
	(5, 'Átlag 16 éves fiú', '', NULL, 'm', 16),
	(6, 'Átlag 17 éves fiú', '', NULL, 'm', 17),
	(7, 'Átlag 18 éves fiú', '', NULL, 'm', 18),
	(8, 'Átlag 13 éves lány', '', NULL, 'w', 13),
	(9, 'Átlag 14 éves lány', '', NULL, 'w', 14),
	(10, 'Átlag 15 éves lány', '', NULL, 'w', 15),
	(11, 'Átlag 16 éves lány', '', NULL, 'w', 16),
	(12, 'Átlag 17 éves lány', '', NULL, 'w', 17),
	(13, 'Átlag 18 éves lány', '', NULL, 'w', 18),
	(14, 'Bossanyi', 'Tibor', '', 'm', 48),
	(15, 'Bossanyi', 'Tibor', '', 'm', 48);
/*!40000 ALTER TABLE `customer` ENABLE KEYS */;

-- Struktúra mentése tábla aitrainer. exercises
CREATE TABLE IF NOT EXISTS `exercises` (
  `exercise_id` int NOT NULL AUTO_INCREMENT,
  `exercise_type_id` int NOT NULL,
  `user_id` int NOT NULL,
  `datetime_exercise` datetime NOT NULL,
  `quantity` int DEFAULT NULL,
  `rest_time` int DEFAULT NULL COMMENT 'in sec',
  PRIMARY KEY (`exercise_id`),
  KEY `exercise_type_id` (`exercise_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.exercises: ~1 rows (hozzávetőleg)
/*!40000 ALTER TABLE `exercises` DISABLE KEYS */;
INSERT INTO `exercises` (`exercise_id`, `exercise_type_id`, `user_id`, `datetime_exercise`, `quantity`, `rest_time`) VALUES
	(1, 1, 1, '2020-05-01 00:00:00', 12, NULL);
/*!40000 ALTER TABLE `exercises` ENABLE KEYS */;

-- Struktúra mentése tábla aitrainer. exercise_ages
CREATE TABLE IF NOT EXISTS `exercise_ages` (
  `exercise_age_id` int NOT NULL AUTO_INCREMENT,
  `exercise_type_id` int NOT NULL,
  `name` char(100) NOT NULL,
  `sex` enum('m','w') DEFAULT 'm',
  `age` tinyint DEFAULT NULL,
  `min_exercises` int DEFAULT NULL,
  `avg_exercises` int DEFAULT NULL,
  `max_exercises` int DEFAULT NULL,
  PRIMARY KEY (`exercise_age_id`),
  UNIQUE KEY `exercise_type_id_2` (`exercise_type_id`,`sex`,`age`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.exercise_ages: ~6 rows (hozzávetőleg)
/*!40000 ALTER TABLE `exercise_ages` DISABLE KEYS */;
INSERT INTO `exercise_ages` (`exercise_age_id`, `exercise_type_id`, `name`, `sex`, `age`, `min_exercises`, `avg_exercises`, `max_exercises`) VALUES
	(1, 1, '', 'm', 13, 12, NULL, NULL),
	(2, 1, '', 'm', 14, 14, NULL, NULL),
	(3, 1, '', 'm', 15, 16, NULL, NULL),
	(4, 1, '', 'm', 16, 18, NULL, NULL),
	(7, 1, '', 'm', 17, 18, NULL, NULL),
	(8, 1, '', 'm', 18, 18, NULL, NULL);
/*!40000 ALTER TABLE `exercise_ages` ENABLE KEYS */;

-- Struktúra mentése tábla aitrainer. exercise_types
CREATE TABLE IF NOT EXISTS `exercise_types` (
  `exercise_id` int NOT NULL AUTO_INCREMENT,
  `name` char(100) NOT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `video` mediumblob,
  PRIMARY KEY (`exercise_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_hungarian_ci;

-- Tábla adatainak mentése aitrainer.exercise_types: ~11 rows (hozzávetőleg)
/*!40000 ALTER TABLE `exercise_types` DISABLE KEYS */;
INSERT INTO `exercise_types` (`exercise_id`, `name`, `description`, `video`) VALUES
	(1, 'Melső fekvőtámasz 1 perc', 'Ezt igazolja a 2016 márciusában beállított guinness rekord is,\r\namelyben KJ Joseph 1 perc alatt 82 szabályos karhajlítás-nyújtást\r\nvégzett.', NULL),
	(2, 'Húzódzkodás', 'Ennek a gyakorlatnak a 24 órás csúcstartója Joonas Mäkipelto 5050\r\ngyakorlattal.', NULL),
	(3, 'Melső fekvőtámasz 30mp', 'A gyakorlatot 30 másodperc alatt olyan sokszor kell végrehajtani, ahányszor a\r\nfelvételiző képes rá. Azonban törekedni kell a szabályos végrehajtásra, ugyanis csak azokat\r\nszámolják. A nők esetében 20, a férfiak esetében 35 gyakorlatot kell végrehajtani a maximális\r\npont megszerzéséért. A gyakorlat akkor sikeres, ha a női legalább 1, a férfi felvételiző\r\nlegalább 11 gyakorlatot képes végrehajtani.', NULL),
	(4, 'Melső fekvőtámasz 2perc', 'Magyar Honvédség: A gyakorlat végrehajtására 2 perc áll rendelkezésre. Ennek során csak a szabályosan a\r\nfentiekben leírt módon végrehajtott gyakorlat értékelhető. Férfiaknál 70 karhajlítás nyújtást\r\nkell végrehajtani a maximális pontért.', NULL),
	(5, 'Hajlított karú függés', 'A gyakorlat addig tart, amíg a végrehajtó szemmagassága a kiinduló helyzettől\r\nsüllyedve a keresztvas alá nem kerül. Az értékeléshez stopperórát alkalmaznak, és az\r\neredmény másodperc pontossággal kerül megállapításra. Nők esetében 45, férfiak\r\ntekintetében 73 másodperctől jár a maximális pontszám. A gyakorlat sikeres végrehajtásához\r\nlegalább 8, 10 másodpercig kell megtartaniuk a kiinduló helyzetet a női és a férfi\r\nfelvételizőknek.\r\n\r\nA NKE-RTK-án lévő hallgatók egyéni rekordjai Iván Viktor 90s, Kiss Regina 74s', NULL),
	(6, 'Fekvenyomás', '2015-ben a fekvenyomó világbajnokságot Smulter Fredrik finn súlyemelő 401 Kg-al nyerte.\r\nA súlyzó tömege nők esetében 25 kg, a férfiak esetében 60 kg a rúddal együtt. Az\r\nértékelésénél a szabályosan végrehajtott gyakorlatokat értékelik csak.\r\nA legtöbb pontért 25 gyakorlatot kell végezni mind a nőknek, mind a férfiaknak. A minimum:\r\negy gyakorlat mindkét nem esetében.', NULL),
	(7, '4x10m-es ingafutás', 'A legjobb pontszámért 9,4 s illetve 8,8s alatt kell teljesíteni a nőknek, férfiaknak. A\r\ngyakorlat sikertelen 11,8 s illetve 11,2 s-on túl.', NULL),
	(8, 'Helyből távolugrás', 'Byron Jones 2015-ben a 3,73 méteres ugrásával érte el a világcsúcsot.\r\nA nőknek 220 cm-re, a férfiak 250 cm-re kell ugraniuk a maximális pontért. A\r\nminimális távolság 172cm illetve 198 cm.', NULL),
	(9, 'Felülés hanyattfekvésből', 'Az NKE-RTK hallgatói közül Papp Zsófia 66 db-ot, Gál Valentin 80\r\ndb-ot csinált 1 perc leforgása alatt.\r\nElső ütemre megtörténik a felülés, ami akkor szabályos, ha valamelyik könyök érinti a\r\ntérdet. Második ütemre vissza kell térni a kiinduló helyzetbe. A maximális pont eléréséhez 1\r\nperc alatt 45 illetve 55 ismétlést kell végezni a nőknek illetve a férfiaknak. A minimumhoz 7\r\nés 25 ismétlés szükséges.', NULL),
	(10, 'Felülés hajlított térddel', 'Magyar Honvédség: A kiinduló helyzet hajlított ülés, ennek során a sarkak a talajon, a térd 90 fokban meghajlítva\r\nvan.\r\nA gyakorlat végrehajtására két perc áll rendelkezésre. Ennek során csak a szabályosan,\r\na fentiekben leírt módon végrehajtott gyakorlat értékelhető. Férfiaknál, nőknél egyaránt 90\r\ngyakorlatot kell végrehajtani a maximális pontért. Amennyiben a megadott időkeret alatt nem\r\nsikerül legalább 25 szabályos gyakorlatot végrehajtani, úgy az sikertelennek minősül.', NULL),
	(11, 'Síkfutás 2000m', 'A maximálisan megszerezhető pontot az a felvételiző gyűjtheti be, aki a távot nők\r\nesetében 10:00 perc alatt, férfiak esetében 7:35 perc alatt teljesíti. A gyakorlat sikeres\r\nteljesítésére nők esetében maximum 16:00 perc, férfiak esetében 13:30 perc áll rendelkezésre.', NULL);
/*!40000 ALTER TABLE `exercise_types` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
