package com.aitrainer.api.test

import org.springframework.beans.factory.annotation.Autowired

import java.sql.*
import java.util.*
import kotlin.test.assertNotNull
import kotlin.test.assertTrue


class AitrainerDBTest(configuration: ApplicationConfiguration) {


    @Autowired
    private lateinit var username: String
    private lateinit var password: String
    private lateinit var datasourceUrl: String
    private lateinit var conn: Connection
    private val conf: ApplicationConfiguration = configuration

    fun initDB() {
        this.username = this.conf.username.orEmpty()
        this.password = this.conf.password.orEmpty()
        this.datasourceUrl = this.conf.url.orEmpty()
        assertTrue ("username should not be empty", { this.username.isNotEmpty() })
        assertTrue ("password should not be empty", { this.password.isNotEmpty() })
        assertTrue ("url should not be empty", { this.datasourceUrl.isNotEmpty() })

        this.getConnection()

        assertNotNull({this.conn}, "MySQL connection should not be null")
    }



    /**
     * This method makes a connection to MySQL Server
     * In this example, MySQL Server is running in the local host (so 127.0.0.1)
     * at the standard port 3306
     */
    private fun getConnection() {
        val connectionProps = Properties()
        connectionProps["user"] = this.username
        connectionProps["password"] = this.password
        Class.forName("com.mysql.cj.jdbc.Driver").getDeclaredConstructor().newInstance()
        this.conn = DriverManager.getConnection(this.datasourceUrl, connectionProps)
    }
    
}