package com.aitrainer.api.test

import org.springframework.boot.test.context.SpringBootTest
import com.aitrainer.api.repository.CustomerRepository
import com.aitrainer.api.model.Customer
import org.junit.jupiter.api.Test
import kotlin.test.assertEquals
import kotlin.test.assertNotNull
import org.springframework.beans.factory.annotation.Autowired

@SpringBootTest
class CustomerTests {

    @Autowired
    private lateinit var customerRepository: CustomerRepository
    private val customerId: Long = 4
    private var insertedId: Long? = null

    @Test
    fun testGet() {
        val id: Long = 7
        val customer: Customer = customerRepository.findById( id ).orElse(null)
        assertEquals( customer.name, "Átlag 18 éves fiú")
    }

    @Test
    fun testInsert() {
        val newCustomer = Customer("Bossanyi", "Tibor", "", 48, "m")
        val savedCustomer: Customer = customerRepository.save(newCustomer)
        assertEquals(savedCustomer.age, 48)

        this.insertedId = savedCustomer.customer_id

        val customer: Customer = customerRepository.findById( savedCustomer.customer_id ).orElse(null)
        assertEquals( customer.firstname, "Tibor")
        
        this.testUpdate(savedCustomer.customer_id)
    }

    fun testUpdate( customerId: Long ) {
        val id: Long? = customerId
        assertNotNull(id)

        val updatedCustomer: Customer = customerRepository.findById( id ).orElse(null)

        assertNotNull(updatedCustomer)
        updatedCustomer.firstname ="Tiborka"

        val customer: Customer = customerRepository.save( updatedCustomer )
        assertEquals( customer.firstname, "Tiborka")

        customerRepository.delete(updatedCustomer)
    } 

}